* Ven Dic 11 2009 Luigi Carlotto <md9327@mclink.it> 1.2.17
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore nel caricamento dei file progetto da riga di
- #      comando, che provocava il blocco dell'applicazione.
- # NDA: Programma compilato con la versione 2.18.0 di Gambas.

* Lun Ott 12 2009 Luigi Carlotto <md9327@mclink.it> 1.2.16
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore nel salvataggio del file progetto. Ora gli oggetti
- #      vengono raggruppati per tipo e salvati nell'ordine corretto, in questo
- #      modo la lettura avverà in modo corretto, senza perdita di
- #      informazioni, e con i link corretti.
- # NDA: Programma compilato con la versione 2.16.0 di Gambas.

* Sab Ott 10 2009 Luigi Carlotto <md9327@mclink.it> 1.2.15
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore nella presentazione del messaggio di duplicazione,
- #      durante l'aggiornamento della TreeList.
- #      (Segnalazione effettuata dall'amico Florent Thomas).
- # NDA: Programma compilato con la versione 2.16.0 di Gambas.

* Sab Set 26 2009 Luigi Carlotto <md9327@mclink.it> 1.2.14
- # ---------------------------------------------------------------------------
- # UPD: Aggiornamenti nelle traduzioni.
- # UPD: Nella stampa dei report gli oggetti ora vengono preventivamente
- #      ordinati.
- #      (Su suggerimento dell'amico Florent Thomas).
- # BUG: Corretto un errore nella stampa dei report in formato html, che
- #      causava un loop infinito nella codifica in presenza di caratteri
- #      speciali.
- #      (Segnalazione effettuata dall'amico Florent Thomas).
- # NDA: Programma compilato con la versione 2.16.0 di Gambas.

* Mer Set 16 2009 Luigi Carlotto <md9327@mclink.it> 1.2.13
- # ---------------------------------------------------------------------------
- # BUG: Corretto un problema nll'impostazione dell'attributo CHECK per i
- #      domini.
- # BUG: Corretto un errore nelle intestazioni di colonna nella stampa del
- #      report in formato PDF.
- #      (Segnalazione effettuata dall'amico Florent Thomas).
- # NDA: Programma compilato con la versione 2.16.0 di Gambas.

* Mar Set 08 2009 Luigi Carlotto <md9327@mclink.it> 1.2.12
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore nella finestra di edit tabella, nella
- #      visualizzazione della lista delle relazioni.
- #      (Segnalazione effettuata dall'amico Florent Thomas).
- # NDA: Programma compilato con la versione 2.15.2 di Gambas.

* Sab Set 05 2009 Luigi Carlotto <md9327@mclink.it> 1.2.11
- # ---------------------------------------------------------------------------
- # BUG: Data la difficoltà di controllare in modo completo, sintatticamente e
- #      logicamente, i valori inseriti nei campi Default per Campi Tabelle,
- #      Type e Domain, ho ritenuto opportuno disattivare le funzioni che
- #      eseguivano questa operazione in modo incompleto, lasciando all'utente
- #      la completa autonomia nell'inserimento di ogni dato. Ovviamente il
- #      vero controllo formale verrà effettuato da PostgreSQL in fase di
- #      creazione degli oggetti. Il problema è stato evidenziato con
- #      l'utilizzo della keyword CURRENT_DATE come valore di Default per un
- #      campo Data; la sintassi prevede diverse impostazioni, in base alla
- #      versione di PostgreSQL utilizzata, e non sempre viene accettata come
- #      valida. Per i vecchi progetti sarà necessaria una revisione manuale.
- #      (Ringrazio l'amico Florent Thomas per l'analisi e la segnalazione del
- #      problema).
- # BUG: Corretto un errore che si verifica durante la cancellazione di una
- #      relazione tra tabelle.
- #      (Segnalazione effettuata dall'amico Florent Thomas).
- # NDA: Programma compilato con la versione 2.15.2 di Gambas.

* Sab Lug 11 2009 Luigi Carlotto <md9327@mclink.it> 1.2.10
- # ---------------------------------------------------------------------------
- # NEW: Aggiunto il driver per la versione 8.4 di PostgreSQL con alcune
- #      limitazioni, ovvero non sono state implementate tutte le
- #      caratteristiche delle novità di questa release.
- # NEW: Grazie al contributo di Vladislav Levitskiy, è stata aggiunta la
- #      traduzione in lungua russa.
- # BUG: Corretto un problema legato alla funzione CSqlPrint(), che non
- #      costruiva correttamente le query contenenti la sintassi "CHECK()" per
- #      i campi delle tabelle.
- # NDA: Programma compilato con la versione 2.15.2 di Gambas.

* Gio Mar 12 2009 Luigi Carlotto <md9327@mclink.it> 1.2.9
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore durante la lettura delle tabelle e degli indici, 
- #      relativamente all'impostazione della tablespace di appartenenza.
- # NDA: Programma compilato con la versione 2.11.1 di Gambas.

* Gio Lug 31 2008 Luigi Carlotto <md9327@mclink.it> 1.2.8
- # ---------------------------------------------------------------------------
- # BUG: Eliminato il controllo di congruenza tra le tabelle di una relazione,
- #      durante il caricamento del progetto da file XML.
- # BUG: Corretto un errore durante il caricamento dei progetti da file sql,
- #      nella definizione delle tabelle in una relazione se queste sono
- #      riferite allo stesso oggetto tabella.
- # BUG: Corretto un problema nel ridisegno dopo l'utilizzo della funzione di
- #      riorganizzazione del diagramma.
- # NDA: Programma compilato con la versione 2.7.0 di Gambas.

* Lun Mag 26 2008 Luigi Carlotto <md9327@mclink.it> 1.2.7
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore sul controllo di versione durante il caricamento
- #      dei file di progetto.
- # BUG: Corretto un problema di conversione durante il caricamento delle
- #      dimensioni dei campi, se questi sono vuoti.
- # NDA: Programma compilato con la versione 2.6.0 di Gambas.

* Ven Mag 23 2008 Luigi Carlotto <md9327@mclink.it> 1.2.6
- # ---------------------------------------------------------------------------
- # NEW: Implementato l'uso dei Domini nella definizione dei Campi di tabella,
- #      aggiungendo l'attributo Domain alla classe CPgTableField. Se viene
- #      selezionato un dominio, i dati del campo assumeranno le informazioni
- #      relative al dominio, e nella form di edit verranno disabilitati i
- #      relativi controlli.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: Aggiunti i nuovi tipi "tsvector", "tsquery", "txid_snapshot", "uuid" e
- #      "xml" per PostgreSQL 8.3.
- # UPD: Aggiunta l'istruzione "INSERT OR UPDATE" per i trigger.
- # UPD: Inserito un controllo sui valori di dimensione dei campi di tabella,
- #      in modo da evitare errori con i caratteri separatori dei decimali.
- # UPD: Aggiunta la conversione delle stringhe da UTF-8 a ISO-8859-1.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: Il formato dei file di progetto INI è variato; è stato aggiunto un
- #      ulteriore parametro per indicare se il campo appartiene ad un dominio
- #      o è un normale campo.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: Il formato dei file di progetto XML è variato; è stata aggiunta il
- #      nuovo attributo Domain all'elemento TABLEFIELD, per indicare se il
- #      campo appartiene ad un dominio o è un normale campo.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: La stampa dei report in formato HTML è stata modificata, per
- #      permettere l'aggiunta delle etichette di Tabelle, Commenti e il
- #      Dominio dei campi.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: La stampa dei report in formato TXT è stata modificata, per permettere
- #      l'aggiunta delle etichette di Tabelle, Commenti e il Dominio dei
- #      campi.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: Aggiunte alcune funzionalità a livello di codice.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: La procedura di estrazione SQL è stata modificata con
- #      l'implementazione dei valori di Default per i Domini e per i Campi di
- #      Tabella.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: La finestra di edit dei campi di tabella è stata implementata con la
- #      logica dei Domini.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: La lista dei campi presente nella finestra di edit delle tabelle è
- #      stata implementata di una colonna per la visualizzazione del dominio.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # UPD: La finestra dei parametri di esportazione su file SQL è stata
- #      modificata per permettere la corretta visualizzazione delle stringhe.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # BUG: Corretti alcuni bug nella procedura di reverse-engineering da
- #      database.
- # BUG: Corretto un errore di visualizzazione dei comandi SQL nella tab "DDL"
- #      all'interno della form di modifica dei trigger.
- # BUG: Corretti alcuni errori di decodifica nella procedura di caricamento di
- #      file SQL, in particolare la parola chiave "ONLY" per "ALTER TABLE" e
- #      la creazione degli indici delle tabelle.
- # BUG: Corretti alcuni piccoli bug relativi alle funzioni si selezione degli
- #      oggetti dalla tree.
- # BUG: Corretto un problema con gli apici nella proprietà Default dei campi.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # BUG: Corretti alcuni errori nella procedura di caricamento dei file SQL,
- #      relativamente agli oggetti di tipo Type, Table e Domain.
- #      (Aggiunta di Luis Gonzalo Constantini Von Rickel).
- # BUG: Corretto un problema con le dimensioni delle colonne per gli oggetti
- #      trigger nella creazione dei report in formato pdf .
- # NDA: La procedura di caricamento dei progetti da file SQL, relativamente
- #      alle procedure, attualmente rileva solo codice delimitato da singolo
- #      apice, e non prevede altri delimitatori. Se necessario, occorre
- #      procedere alla modifica manuale del file tramite un qualunque editor
- #      di testo.
- # NDA: Programma compilato con la versione 2.6.0 di Gambas.

* Mer Apr 23 2008 Luigi Carlotto <md9327@mclink.it> 1.2.5
- # ---------------------------------------------------------------------------
- # BUG: Corretti alcuni bug relativi al caricamento e al salvataggio dei
- #      progetti.
- # BUG: Corretti alcuni bug nella class CPdfWriter.
- # NDA: Programma compilato con la versione 2.5.0 di Gambas.

* Dom Apr 20 2008 Luigi Carlotto <md9327@mclink.it> 1.2.4
- # ---------------------------------------------------------------------------
- # BUG: Corretti alcuni piccoli bug relativi alle funzioni si selezione degli
- #      oggetti dalla tree.
- #      (Bugs segnalati da Luis Gonzalo Constantini Von Rickel).
- # NDA: Programma compilato con la versione 2.5.0 di Gambas.

* Mar Apr 08 2008 Luigi Carlotto <md9327@mclink.it> 1.2.3
- # ---------------------------------------------------------------------------
- # NEW: Aggiunto il driver per PostgreSQL 8.3.
- # NDA: Programma compilato con la versione 2.5.0 di Gambas.

* Gio Apr 04 2008 Luigi Carlotto <md9327@mclink.it> 1.2.2
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la possibilità di definire le dimensioni dell'area di
- #      disegno; la finestra delle opzioni è stata modificata di conseguenza.
- #      Per evitare che gli oggetti vengano a trovarsi fuori dai nuovi
- #      margini, le coordinate verranno reimpostate automaticamente,
- #      posizionando gli oggetti fuori schema all'interno del diagramma.
- # NEW: Aggiunta la possibilità di definire il colore di background dell'area
- #      di disegno; la finestra delle opzioni è stata modificata di
- #      conseguenza. L'impostazione è memorizzata a livello globale nel file
- #      di configurazione del programma.
- # NEW: Con la modifica del nome di una tabella, nella finestra di edit, viene
- #      modificato automaticamente anche il nome di default della chiave
- #      primaria, definito con lo stesso nome della tabella più il suffisso
- #      "_pk". E' comunque possibile variare questa impostazione, modificando
- #      direttamente il campo nome della chiave primaria.
- # UPD: Aggiunto un controllo sulla duplicazione di oggetti su inserimento
- #      nella tree di progetto; in caso di duplicazione viene presentato un
- #      messaggio di errore e il nome dell'oggetto non viene aggiunto alla
- #      lista.
- # UPD: Per gli oggetti Relation è permessa la duplicazione, purchè la unicità
- #      dei riferimenti alle tabelle sia rispettata.
- # UPD: Ad esclusione degli oggetti Area e Relation, è ammessa la duplicazione
- #      dei nomi degli oggetti solo se di diversa tipologia.
- # UPD: Alcune ottimizzazioni per aumentare la velocità di disegno.
- # UPD: Alcune correzioni nella traduzione francese, ad opera dell'amico
- #      Henri Girard.
- # UPD: Per i nuovi progetti vengono impostati i colori memorizzati nel file
- #      di configurazione del programma, differentemente da quanto accadeva in
- #      precedenza, in cui venivano presi i colori di default preimpostati.
- # BUG: Corretto un problema nella funzione di caricamento dei progetti da
- #      file sql; aggiunti alcuni controlli sulla trasformazione da stringa a
- #      valori numerici.
- # BUG: Corretti alcuni problemi nella funzione di caricamento dei progetti da
- #      file sql.
- # BUG: Corretto un problema nella decodica degli oggetti Sequence nella
- #      funzione di caricamento dei progetti da file sql.
- # BUG: Corretti alcuni errori e reimpostata la logica di nomenclatura degli
- #      oggetti Relation.
- # NDA: Programma compilato con la versione 2.4.1 di Gambas.

* Mer Mar 05 2008 Luigi Carlotto <md9327@mclink.it> 1.2.1
- # ---------------------------------------------------------------------------
- # BUG: Corretto un problema nella funzione di salvataggio di un nuovo
- #      progetto.
- # NDA: Programma compilato con la versione 2.2.1 di Gambas.

* Dom Feb 03 2008 Luigi Carlotto <md9327@mclink.it> 1.2.0
- # ---------------------------------------------------------------------------
- # UPD: Modifiche di adattamento alla nuova versione di Gambas2.
- # UPD: Miglioramenti del codice.
- # BUG: Corretto un problema nel caricamento di campi di una relazione durante
- #      la procedura di reverse-engineering.
- # NDA: Programma compilato con la versione 2.0.0 di Gambas.

* Ven Nov 30 2007 Luigi Carlotto <md9327@mclink.it> 1.1.0
- # ---------------------------------------------------------------------------
- # NEW: Rivoluzionata l'intera logica applicativa, nonchè l'interfaccia della
- #      finestra principale e l'area dei progetti.
- # NEW: Aggiunta la toolbar nella finestra dell'applicazione, con alcuni
- #      pulsanti di utilità presenti nel menu principale. La barra è situata
- #      sotto il menu principale, e può essere nascosta agendo nella finestra
- #      di configurazione generale.
- # NEW: Implementazione della funzione di ricerca di oggetti all'interno dei
- #      progetti aperti. La ricerca verrà effettuata sui nomi di tutti gli
- #      oggetti contenuti in tutti i progetti aperti (attivi e non), che
- #      corrisponderanno, in tutto o in parte, alla stringa impostata nella
- #      finestra di dialogo; il risultato verrà mostrato in un elenco sulla
- #      stessa finestra, completo di tutti i riferimenti per ogni singolo
- #      oggetto. La ricerca può essere effettuata su parte del nome, in questo
- #      caso è possibile inserire nella stringa i classici caratteri jolly
- #      (es. '*', '?', ecc.). La funzione è presente sotto il menu Modifica
- #      del menu principale.
- # NEW: Se eseguita da shell è possibile passare all'applicazione una lista di
- #      file da precaricare, digitando di seguito al nome del programma i nomi
- #      dei file di progetto (nei formati ini e xml, esclusi sql) completi
- #      della directory in cui sono presenti. L'assenza del file non provoca
- #      alcun errore, nè messaggi di avvertimento.
- # NEW: Nella finestra di modifica degli oggetti Table, nella lista dei campi,
- #      è stata aggiunta una funzionalità che permette, cliccando con il mouse
- #      sull'icona di un campo, di inserirlo o meno nella chiave primaria.
- #      (Aggiunta proposta e scritta dall'amico Rodrigo Ramirez Norambuena).
- # NEW: Posizionando il mouse sopra un'etichetta della barra dei progetti
- #      aperti, compare un tooltip con alcune informazioni relative al
- #      progetto attivo (se la funzione tooltip è abilitata).
- # NEW: Ora è possibile creare la documentazione del progetto in formato pdf
- #      grazie all'inclusione di una nuova libreria. I nuovi moduli PdfWriter
- #      e PdfWriterFont fanno parte di un'altro mio progetto parallelo
- #      (http://sourceforge.net/projects/pdfwriter/), che è il porting in
- #      Gambas della famosa libreria FPDF (http://www.fpdf.org), scritta in
- #      origine come supporto al linguaggio PHP; spero che questa novità sia
- #      utile anche solo come dimostrazione delle potenzialità di questa
- #      libreria. In questa versione ho impostato una struttura di documento
- #      abbastanza semplice, così come è per i formati testo e html. Per la
- #      produzione dei report, oltre alla libreria di base, è state creata la
- #      classe PrintPdf per la gestione della stampa dell'intestazione e fondo
- #      delle pagine a seguito della logica della nuova libreria. Dopo aver
- #      salvato il file, il report verrà visualizzato nel formato scelto su
- #      una finestra di dialogo.
- # NEW: Aggiunta un'opzione per il salvataggio in automatico dei progetti
- #      aperti. Nella finestra di dialogo delle impostazioni generali è
- #      presente la nuova opzione nella forma di un campo in cui inserire o
- #      selezionare il periodo di tempo tra i salvataggi. Questo tempo è
- #      espresso in minuti, a passi di 5 minuti, la modifica tiene conto di
- #      questo e corregge in automatico i valori inseriti manualmente
- #      riportando il valore ad un numero di 5 inferiore. Un valore di zero
- #      disattiva la funzione. La funzione è disattivata di default.
- # NEW: Nella creazione di una relazione è stata aggiunta una funzione che
- #      aggiunge i campi appartenenti alla chiave primaria dalla tabella di
- #      origine nella tabella di destinazione; l'operazione viene effettuata
- #      solo se i campi non sono già presenti. Se la creazione della relazione
- #      viene annullata, i campi aggiunti vengono eliminati. Inoltre la nuova
- #      funzione prevede un automatismo che associa i campi delle due tabelle,
- #      relazionando i campi con nome uguale, prendendo come riferimento i
- #      campi chiave della tabella di origine; resta comunque disponibile
- #      all'utente la possibilità di variare questa associazione.
- # NEW: Per gli aggetti di tipo Area è stata aggiunta la proprietà Bold, che
- #      permette di impostare la stampa del testo in grassetto.
- # NEW: Nella barra di stato è stata aggiunta l'informazione relativa alle
- #      impostazioni correnti della stampante, relative al progetto corrente.
- # NEW: Nella finestra di modifica Procedura è stato aggiunto un pulsante che
- #      apre una finestra di dialogo in cui è possibile selezionare, con il
- #      doppio click del mouse, uno dei tipi previsti dal driver Postgres; il
- #      nome del tipo selezionato verrà aggiunto nella dichiarazione dei
- #      parametri di input della procedura. L'elenco visualizzato nella
- #      finestra comprende sia il nome del tipo sia una descrizione sommaria
- #      del suo significato.
- # NEW: Per gli oggetti tabella è possibile definire la visualizzazione del
- #      dettaglio della tipologia dei campi. L'opzione è inclusa nella
- #      finestra delle impostazioni generali, ed è attiva solo se è attiva la
- #      visualizzazione dei dettagli. Come per tutte le altre opzioni
- #      generali, l'impostazione verrà applicata sull'intero progetto o, a
- #      scelta, su tutti i progetti aperti, ma al momento non è possibile
- #      definirne la visualizzazione su un singolo display.
- # UPD: In questa nuova versione è stata effettuata una totale
- #      ristrutturazione, sia per quanto riguarda le logiche interne che nella
- #      interfaccia; per questo e altri motivi tutti gli oggetti hanno subito
- #      una variazione di nome, alcuni sono stati eliminati, e ne sono stati
- #      aggiunti di nuovi. In particolare, ora un singolo progetto viene
- #      gestito per logica e interfaccia dall'oggetto PProjectPanel, mentre la
- #      gestione dei progetti è controllata dall'oggetto CApp come in
- #      precedenza. Alcuni oggetti, per comodità di raggruppamento e
- #      funzionalità, sono stati impostati come derivati (o figli) di oggetti
- #      già presenti, in modo da ridurre ripetizioni di codice.
- # UPD: Modifiche di aggiornamento per la nuova versione di Gambas2:
- #      - pulizia iniziale per gli oggetti Image prima del ridisegno;
- #      - conversione gradi in radianti per le funzioni sugli oggetti Image.
- # UPD: Per i link web ora verrà chiamato il browser di default del sistema,
- #      se ne è presente uno, altrimenti verrà utilizzato il browser interno
- #      di pgDesigner. Le classi CApp, FAbout e FHelp sono state modificate
- #      per la nuova gestione dei collegamenti web.
- # UPD: Aggiunte alcune funzioni nelle classi CUtil e CHtml.
- # UPD: Miglioramenti delle logiche interne, in particolar modo le funzioni di
- #      gestione dell'interfaccia con il database.
- # UPD: Modificata la procedura di avvio e la finestra iniziale di selezione
- #      della lingua. Le stringhe contenute nella combobox della finestra di
- #      selezione della lingua vengono ora visualizzate nella lingua di
- #      sistema e le etichette della finestra non vengono aggiornate in quella
- #      che è selezionata.
- # UPD: Nelle finestre di modifica dei dati degli oggetti è stato aggiunto un
- #      campo per la visualizzazione dello Schema a cui appartiene l'elemento.
- #      Al momento il campo è in sola lettura, e di default il valore è il
- #      classico "public" usato in PostgreSQL, ma è possibile che questo venga
- #      gestito nelle prossime versioni.
- # UPD: Nella finestre di dialogo generiche per la selezione di file ora viene
- #      visualizzata la directory dove è situato il progetto (se esistente),
- #      altrimenti verrà impostata la directory home dell'utente (es. per i
- #      nuovi progetti).
- # UPD: L'estensione .HTM non è più gestita, mentre resta valida l'estensione
- #      .HTML.
- # UPD: Nelle procedure di creazione del database e del file sql è stata
- #      aggiunta l'opzione "IF EXISTS" per gli oggetti che lo prevedono.
- #      L'opzione è funzionante solo per le versioni 8.2 e successive di
- #      PostgreSQL.
- # UPD: Alcune piccole modifiche nelle finestre di modifica degli oggetti.
- # UPD: I colori degli oggetti ora riflettono la modifica delle impostazioni
- #      nella finestra delle opzioni. E' da tener presente che le modifiche
- #      apportate nelle proprietà globali dell'applicazione verranno riflesse
- #      su tutti i progetti aperti; qualsiasi personalizzazione verrà
- #      sovrascritta.
- # UPD: Le funzioni di lettura e scrittura dei file di progetto è stata
- #      modificata. In particolare il codice delle definizioni delle procedure
- #      e il testo dei commenti ora verranno codificate in stringhe contenenti
- #      i valori esadecimali in formato UTF-8. I file di progetto della
- #      versione precedente verranno comunque letti normalmente, ma convertiti
- #      nei successivi salvataggi. Probabilmente questa modifica comporterà
- #      dei leggeri rallentamenti nelle operazioni di lettura e scrittura, ma
- #      eviterà problemi di conversione dei testi. Nelle prossime release è
- #      possibile che questo parallelismo non verrà più gestito.
- # UPD: Ora gli oggetti Area, se selezionati, vengono evidenziati con margine
- #      tratteggiato.
- # UPD: Gli oggetti Area ora possono essere dimensionati tramite il mouse. La
- #      modifica delle dimensioni può essere eseguita premendo con il tasto
- #      sinistro del mouse sui margini destro e inferiore dell'oggetto, in
- #      corrispondenza della linea tratteggiata. Restano inalterate le
- #      funzioni di spostamento, premendo con il tasto sinistro all'interno
- #      dell'area e trascinando l'oggetto alla posizione desiderata, e di
- #      ridimensionamento tramite inserimento del valore nell'apposita
- #      finestra di dialogo. E' da tener presente che un'oggetto Area deve
- #      essere creato inizialmente in una zona vuota del diagramma e deve
- #      avere dimensioni maggiori di 50x50 pixel, altrimenti verrà
- #      automaticamente eliminato; uguale comportamento durante i
- #      dimensionamenti successivi.
- # UPD: Negli oggetti Trigger è stata aggiunta la proprietà COMMENT.
- # UPD: Nei report sono stati aggiunti i commenti mancanti relativi agli
- #      oggetti Table e Trigger.
- # UPD: I pulsanti nelle finestre di dialogo sono stati leggermente
- #      ridimensionati in modo da visualizzare in modo migliore il testo del
- #      pulsante nelle diverse configurazioni di lingua e di motore grafico.
- # UPD: La finestra di dialogo di stampa del diagramma è stata rivoluzionata
- #      completamente. L'intero diagramma viene suddiviso in pagine
- #      relativamente alla configurazione corrente di stampa, e presentate in
- #      forma di lista grafica; selezionando una pagina dalla lista, questa
- #      viene contrassegnata come pagina attiva e visualizzata in formato più
- #      grande. Ogni pagina riporta le informazioni di base del progetto, il
- #      numero di pagina e la data cui viene prodotta. In alto nella finestra
- #      sono visualizzate alcune informazioni di base del formato di stampa
- #      corrente, che è possibile modificare tramite il pulsante di setup,
- #      sempre sulla stessa finestra; ogni variazione della configurazione di
- #      stampa verrà riflessa sul'intero diagramma che verrà ricalcolato in
- #      base al formato di stampa selezionato. Come nella versione precedente
- #      è possibile concentrare l'intero diagramma su una singola pagina, e
- #      salvarlo su file immagine; nel caso di più pagine verranno prodotti
- #      tanti file quante sono le pagine, numerati in base all'ordine in cui
- #      sono presentate sulla finestra. La risoluzione di stampa è fissa ed è
- #      impostata a 150 pixel.
- # UPD: Se l'opzione di visualizzazione dei dettagli è attiva, per gli oggetti
- #      di tipo Procedura vengono visualizzati i tipi dei parametri di input e
- #      di output con relative icone.
- # UPD: Il font del dettaglio degli oggetti è stato modificato in Courier 8.
- #      Con questa modifica, le tipologie dei campi risultano incolonnati in
- #      modo ottimale, rendendo il diagramma più leggibile.
- # UPD: Le modifiche effettuate nella finestra di dialogo delle opzioni
- #      applicative saranno applicate in modo globale su tutti i progetti
- #      aperti; eventuali personalizzazioni su singoli oggetti verranno
- #      sovrascritte. In ogni caso al salvataggio verrà presentato un
- #      messaggio di avvertimento con la possibilità di annullamento.
- # UPD: Il punto di aggancio finale delle relazioni alla tabella tabella
- #      figlia è stato trasformato in una freccia, onde migliorare la
- #      visualizzazione delle relazioni nel grafico.
- # UPD: E' stato aggiunto un pulsante nella finestra di dialogo che viene
- #      presentata all'uscita dell'applicazione se sono presenti progetti
- #      modificati e non salvati; questo nuovo pulsante permette di abortire
- #      la chiusura di pgDesigner.
- # UPD: Quando la visualizzazione del dettaglio degli oggetti è disabilitata,
- #      le dimensioni dell'oggetto viene ora ridotta al minimo con
- #      visualizzazione del solo nome. Per gli oggetti che non hanno dettaglio
- #      da visualizzare, ad esempio i Domini e le Sequence, la dimensione sarà
- #      sempre ridotta al solo nome dell'oggetto.
- # UPD: La voce Stampa Report nel menu principale è stata trasformata in un
- #      ulteriore sottomenu, da cui è possibile selezionare il formato del
- #      report. La toolbar ha la stessa impostazione con tre icone distinte.
- # UPD: Il menu della finestra delle statistiche di progetto è stato
- #      implementato con ulteriori voci, per permettere di salvare le liste su
- #      file di testo.
- # UPD: Eliminato il controllo sulla creazione di relazioni multiple su stesse
- #      tabelle.
- # UPD: Gli oggetti Stamp, se selezionati, vengono evidenziati con la linea di
- #      contorno in colore rosso.
- # UPD: Il font delle etichette delle relazioni è stato ridotto a 7pixel, ed è
- #      stata anche eliminata la cornice intorno all'etichetta.
- # UPD: Nella finestra di modifica degli oggetti Table e TableField è stato
- #      aggiunto un messaggio di conferma per la cancellazione dei campi.
- #      Durante la cancellazione di un campo viene verificata l'esistenza
- #      dello stesso nelle relazioni legate alla tabella e, se presenti,
- #      verranno eliminati tutti i riferimenti al campo cancellato; se la
- #      relazione aveva il campo come unico riferimento, la stessa relazione
- #      verrà eliminata dal progetto.
- # BUG: Corretto un problema con i doppi apici nei nomi degli oggetti durante
- #      l'acquisizione delle informazioni da database o da file sql.
- # BUG: Corretto un problema sull'uscita dall'applicazione in caso di errore
- #      grave, successivamente la visualizzazione del messaggio di errore.
- # BUG: Dovrebbero essere stati corretti alcuni problemi di visualizzazione e
- #      gestione degli oggetti Area, in particolar modo la parte di
- #      integrazione con i display.
- # BUG: Corretto un errore che causava un problema durante il caricamento dei
- #      file progetto in formato xml.
- # BUG: Corretto un errore nella finestra di configurazione, che visualizzava
- #      colori errati negli esempi, in particolare la scheda colori per i
- #      testi.
- # BUG: Corretto un errore nella finestra di dialogo, nell'impostazione dei
- #      colori di default per gli oggetti di tipo TEXT.
- #      (Bug segnalato e corretto dall'amico Rodrigo Ramirez Norambuena).
- # BUG: Corretto un errore nella scheda Collegamenti della finestra di
- #      modifica della tablespace.
- #      (Bug segnalato da Florent Thomas).
- # BUG: Corretto un problema con l'assegnazione della tablespace nelle
- #      finestre di modifica della tabella e dell'indice.
- # BUG: Corretto un piccolo problema nella finestra di dialogo delle
- #      impostazioni dei colori, con l'aggiornamento degli esempi a seguito di
- #      reimpostazione dei colori di default.
- # BUG: Corretto un problema nel caricamento di file sql, causato da un errore
- #      di programma relativo alla lettura e alla creazione degli indici delle
- #      tabelle.
- # BUG: Corretto un piccolo problema nella procedura di creazione del database
- #      relativo alla gestione della definizione delle procedure.
- # BUG: Corretto un problema con la definizione dei CHECK sui campi di
- #      tabella, che non veniva gestito in maniera corretta e non visualizzato
- #      nella DDL e negli esport sql.
- #      (Bug segnalato da Florent Thomas).
- # BUG: Corretto un errore nella finestra di dialogo per la modifica del campo
- #      di una tabella, che interpretava in modo errato il valore della
- #      dimensione del campo se questo era vuoto (non zero). Nelle procedure
- #      di creazione dei comandi sql la dimensione del campo non viene presa
- #      in considerazione se il suo valore è uguale a zero.
- #      (Bug segnalato da Silvio A. Orta D. e Carlos J. Pinto B.)
- # BUG: Corretto un problema con la creazione e il disegno degli oggetti
- #      Relation, che in alcuni casi particolari creavano il blocco del
- #      programma a causa di un valore NULL.
- #      (Bug segnalato da Silvio A. Orta D. e Carlos J. Pinto B.)
- # BUG: Corretto un problema con il disegno dei margini di stampa nella
- #      finestra di stampa del diagramma. Ora i margini rispettano le
- #      dimensioni e il formato corrente della pagina di stampa.
- # BUG: Corretto un problema con la visualizzazione degli oggetti TEXT.
- # BUG: Corretto un errore nelle procedure di lettura e scrittura dei file di
- #      progetto in formato XML, relativamente agli oggetti AREA.
- # BUG: Corretto un problema con la definizione dei datatype nella classe
- #      CPostgres82.
- # BUG: Corretto un problema di decodifica dei commenti su caricamento
- #      progetto da un file sql.
- # BUG: Corretto un problema nella finestra di gestione dei display, legato
- #      alla cancellazione e la modifica di display esistenti.
- # BUG: Corretto un piccolo bug nell'impostazione del font per gli oggetti.
- #      Stamp.
- # NDA: Programma compilato con la versione 1.9.91 di Gambas.

* Dom Ago 26 2007 Luigi Carlotto <md9327@mclink.it> 1.0.1
- # ---------------------------------------------------------------------------
- # UPD: Modifiche degli oggetti di database per un maggior controllo dei dati
- #      rispetto alla versione di PostgreSQL usata nel progetto.
- # UPD: Modifiche della funzione di importazione da file sql, con aggiunta dei
- #      controlli sulla compatibilità degli oggetti con la versione di
- #      PostgreSQL di default.
- # UPD: Modifiche sui controlli nelle finestre di dialogo per i parametri di
- #      import/export su database. In particolare il check degli oggetti TYPE
- #      non disabilita i check per le TABLE e PROCEDURE, che in precedenza era
- #      stato inserito per evitare errori nel caso questi ultimi contenessero
- #      tipi costruiti dall'utente.
- # BUG: Corretto un problema con il caricamento e la gestione degli oggetti
- #      TYPE di PostgreSQL. La finestra di dialogo per la gestione di questo
- #      tipo di oggetto modifica è stata modificata di conseguenza.
- #      (bug gentilmente segnalato da Antonio Prado).
- # NDA: Programma compilato con la versione 1.9.50 di Gambas.

* Lun Ago 20 2007 Luigi Carlotto <md9327@mclink.it> 1.0.0
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la traduzione in cinese dei testi e dei messaggi, grazie al
- #      contributo degli amici Henri e Yanqing Girard.
- # NEW: Aggiunto il pulsante di "Test Connection" nella finestra di login, per
- #      la verifica dei parametri di connessione.
- # NEW: Nella finestra di edit delle tabelle è stata aggiunta la cartella
- #      Triggers, che visualizza l'elenco dei trigger collegati alla tabella
- #      stessa. Tramite la stessa scheda è possibile gestire direttamente i
- #      trigger della tabella, crearne di nuovi, modificarli o cancellarli.
- # NEW: La selezione con il doppio click del tasto sinistro del mouse, nella
- #      lista dei Display nella finestra "Statistiche di progetto", rende
- #      attivo il display relativo. Stesso identico comportamento selezionando
- #      un elemento nelle liste oggetti o campi, che rende attivo l'oggetto
- #      evidenziato. Se l'oggetto si trova al di fuori dell'area visibile,
- #      verrà effettuato un scroll automatico in modo da visualizzare
- #      l'oggetto.
- # NEW: Durante la selezione di un oggetto (manuale o automatico), se questo
- #      si trova al di fuori della visibilità, la finestra verrà scrollata
- #      fino al punto in cui si troverà l'oggetto.
- # NEW: Nella finestra di edit delle procedure è stata aggiunta la cartella
- #      Collegamenti, che visualizza l'elenco degli oggetti che fanno
- #      riferimento alla procedura selezionata (triggers, altre procedure). Il
- #      collegamento con altre procedure avviene analizzando il contenuto
- #      della definizione, verificando la presenza del nome della procedura
- #      selezionata.
- # NEW: Nella finestra di edit delle tablespace è stata aggiunta la cartella
- #      Collegamenti, che visualizza l'elenco degli oggetti che fanno
- #      riferimento alla tabelspace selezionata (tabelle, indici).
- # NEW: Un nuovo oggetto è stato inserito: "Stamp", che visualizza nel grafico
- #      alcune informazioni di identificazione del progetto. L'oggetto può
- #      essere gestito come tutti gli altri oggetti del progetto, ma non può
- #      essere modificato; le informazioni visualizzate vengono aggiornate
- #      automaticamente ad ogni modifica del progetto.
- # NEW: Aggiunta la possibilità di modificare il colore di ogni singolo
- #      oggetto; nel menu Modifica del menu principale e del menu popup è
- #      stata inserita la voce "Colore oggetto". La configurazione generale
- #      dei colori è rimasta uguale, tranne per il fatto che la gestione viene
- #      effettuata a livello globale come impostazione di base; ogni nuovo
- #      oggetto verrà quindi creato con i colori configurati nelle
- #      impostazioni generali, permettendo in seguito la modifica per ogni
- #      oggetto singolarmente e distintamente. L'impostazione verrà mantenuta
- #      anche in fase di stampa del diagramma. Per questa nuova
- #      implementazione è stato necessario modificare la struttura dei file Dom Agodi
- #      progetto, che verranno aggiornati automaticamente al salvataggio.
- # NEW: Aggiunti due pulsanti nella finestra di impostazione dei display, che
- #      permettono di selezionare/deselezionare tutti gli elementi della
- #      lista.
- # NEW: Nel file di configurazione dell'applicazione è stata aggiunta una
- #      ulteriore voce "MaxRecent" che permette di impostare il numero massimo
- #      di voci nella lista degli ultimi progetti aperti presente nel menu
- #      File. In ogni caso, il numero massimo deve essere compreso tra 0 e 30.
- # NEW: E' stata aggiunta la nuova classe statica CColor, che contiene le
- #      impostazioni di default dei colori; sono stati modificati tutti i
- #      riferimenti interni all'applicazione in modo da puntare a questa nuova
- #      classe.
- # NEW: E' stata aggiunta la possibilità di copiare oggetti tra progetti
- #      aperti. La funzionalità è accessibile dal menu principale e dal menu
- #      popup, su selezione di un oggetto dal progetto attivo. La copia è
- #      possibile per tutti gli oggetti ad esclusione di trigger, relazioni e
- #      stamp, a causa dell'impossiblità di associare riferimenti validi nel
- #      progetto di destinazione. Per questo motivo che nei nuovi oggetti
- #      creati durante la copia verranno resi invalidi tutti i link attivi
- #      presenti nell'oggetto originale. Diversamente per le viste, dato che
- #      non viene effettuato alcun controllo sull'esistenza o meno dei
- #      riferimenti inclusi nella query, la verifica e le eventuali modifiche
- #      vengono lasciate all'utente.
- # NEW: E' stata implementata una funzione per l'aggiornamento del tooltip
- #      durante l'inserimento di un tipo di variabile PostgreSQL nelle
- #      finestre di dialogo che lo prevedono. Il tooltip visualizza le
- #      informazioni di base del tipo selezionato. Per poter comunque
- #      visualizzare i tooltip è necessario che questa funzionalità sia
- #      attiva.
- # UPD: La finestra di dialogo iniziale per la selezione della lingua è stata
- #      modificata, con l'aggiunta del pulsante di uscita.
- # UPD: La finestra di About è stata aggiornata.
- # UPD: Per velocizzare il movimento degli oggetti nel grafico del progetto è
- #      stata eseguita una piccola modifica nella logica del programma:
- #      durante il trascinamento dell'oggetto non verrà effettuato
- #      l'aggiornamento automatico delle relazioni, che verrà completato al
- #      termine dello spostamento e al rilascio del pulsante sinistro del
- #      mouse. Questa modifica è stata introdotta a causa del continuo
- #      aggiornamento delle relazioni e un eccessivo rallentamento durante il
- #      trascinamento in progetti con un numero elevato di aggetti.
- # UPD: Alcune piccole modifiche nella classe CConfig per la lettura
- #      dell'elenco dei progetti recenti.
- # UPD: Dato che Gambas2 non ha ancora un sistema di gestione degli errori
- #      database, nel log verranno memorizzate le query che causano errore.
- # UPD: La classe DbExport (creazione del database fisico) è stata modificata
- #      con l'implementazione di un algoritmo di ordinamento degli oggetti
- #      sulla base della relazione fra di essi. Un esempio è quello delle
- #      viste, le cui tabelle o viste componenti la query determinano l'ordine
- #      di creazione, in modo che gli oggetti relativi vengano creati prima
- #      della vista stessa. La modifica sostituisce la logica precedente che
- #      rieseguiva la creazione degli oggetti in caso di errore. Inoltre è
- #      stata incrementata di conseguenza anche la velocità di esecuzione.
- # UPD: Eseguite le stesse modifiche di DbExport anche per la classe SqlPrint
- #      di creazione del file sql; inoltre è stato ottimizzato il codice per
- #      velocizzarne l'esecuzione. 
- # UPD: Alcune piccole modifiche delle classi DbImport, ProjectIni e
- #      ProjectXml (sottoclassi comprese) per la gestione degli errori di
- #      database.
- # UPD: Ora la TreeList di progetto viene inizialmente presentata in modalità
- #      espansa.
- # UPD: Eseguite alcune variazioni in preparazione di una futura gestione
- #      degli Schemi di database.
- # UPD: Nel titolo delle finestre di modifica di colonne e indici è stato
- #      aggiunto il nome della tabella di riferimento.
- # UPD: La finestra di gestione dei colori di base del progetto è stata
- #      modificata, dividendo in cartelle separate le tipologie di colore.
- # UPD: Parte del menu principale è stato ridisegnato, in particolare sono
- #      state eliminate le voci relative all'impostazione generale dei colori
- #      e tutto il menu di gestione del tipo di visualizzazione degli oggetti.
- #      Il menu Visualizza è stato sostituito dal menu Strumenti, mentre
- #      tramite la voce Opzioni è possibile aprire la finestra di modifica
- #      delle Opzioni generali, con cui è possibile visualizzare e modificare
- #      tutte le impostazioni che in precedenza erano gestite dal menu
- #      principale.
- # UPD: Per evitare confusioni è stato inibito il menu popup nella treelist
- #      sul puntamento dei campi delle tabelle e viste. Ora il menu viene
- #      visualizzato solo in corrispondenza degli oggetti padri (tabelle e
- #      viste); la funzione è rimasta inalterata per il resto degli oggetti.
- # UPD: Durante il salvataggio del file di progetto, viene effettuata la copia
- #      del file originale con estensione .bak. Questa aggiunta è stata
- #      inserita come sistema di salvataggio dei progetti e per evitare
- #      confusioni con i file di tipo ini.
- # UPD: Alcune modifiche nelle impostazioni grafiche delle finestre di
- #      dialogo.
- # UPD: Alcune modifiche, controlli e ottimizzazioni nelle logiche
- #      dell'applicazione.
- # BUG: Corretto un problema di visualizzazione della finestra di log in caso
- #      di errore.
- # BUG: Corretta la visualizzazione del testo nella finestra di log,
- #      migliorata la leggibilità con evidenziazioni differenziate del testo.
- # BUG: Corretto un problema nel salvataggio del progetto quando viene chiusa
- #      l'applicazione.
- # BUG: Corretto un problema nella procedura di salvataggio in xml del
- #      progetto, causato da una classica operazione di divisione per zero
- #      (gentilmente segnalato da Christophe Chauvet).
- # BUG: Corretto un problema di aggiornamento delle linee di relazione dopo la
- #      modifica di un'oggetto Area.
- # BUG: Corretto un problema di selezione delle relazioni tramite il click del
- #      mouse; inoltre, l'algoritmo di puntamento è stato modificato in modo
- #      da rendere più agevole e preciso il puntamento e la selezione della
- #      linea di relazione.
- # BUG: Corretto un problema con la funzione di modifica della versione di
- #      PostgreSQL del progetto, durante la procedura di adattamento degli
- #      oggetti.
- # NDA: Programma compilato con la versione 1.9.50 di Gambas.

* Mar Mag 29 2007 Luigi Carlotto <md9327@mclink.it> 0.0-41
- # ---------------------------------------------------------------------------
- # NEW: Iniziata la traduzione dell'help in francese, grazie al contributo
- #      dell'amico Henri Girard.
- # NEW: L'help in linea, compresi tutti i file html, ora sono disponibili su
- #      un diverso file compresso. L'installazione dell'help può avvenire in
- #      un secondo tempo o omessa, in questo caso le pagine verranno caricate
- #      dal sito web.
- # BUG: Corretto un errore nell'abilitazione dei pulsanti degli oggetti
- #      selezionando la versione 8.2 di PostgreSQL.
- # NDA: Programma compilato con la versione 1.9.49 di Gambas.

* Dom Mag 27 2007 Luigi Carlotto <md9327@mclink.it> 0.0-40
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta traduzione in francese dei testi e dei messaggi, grazie al
- #      contributo dell'amico Henri Girard.
- # NEW: Aggiunte nuove classi interne (CDrag, CMouse, CErrorProce ShowError),
- #      rispettivamente per il controllo interno del dragging, della posizione
- #      del mouse, la gestione degli errori interna alle procedure di I/O, la
- #      visualizzazione degli errori di sistema.
- # NEW: Modificata la logica di disegno delle relazioni tra le tabelle, ora le
- #      relazioni vengono identificate con: linea continua se i campi
- #      appartengono alla chiave primaria della tabella figlia, linea a punti
- #      se la relazione ha impostata la clausola RESTRICT, linea a punto/linea
- #      per tutte le altre relazioni non identificative.
- # NEW: Le finestre di dialogo per la modifica degli oggetti sono state
- #      modificate, con aggiunta di una cartella dove è possibile vedere in
- #      anteprima la stringa DDL costruita dal programma sulla base dei
- #      parametri immessi.
- # NEW: Nella finestra di dialogo per la modifica dei dati di ogni oggetto è
- #      stata aggiunta una nuova cartella che visualizza le relazioni padre e
- #      figlio con gli altri oggetti del progetto.
- # UPD: Aggiornate alcune funzionalità legate alla nuova versione di Gambas2
- #      (es. OPEN, Object.IsValid, TextView, NULL's, ecc.).
- # UPD: La logica di creazione degli oggetti Area è stata modificata, ora non
- #      è più possibile creare aree direttamente sul grafico ed è stata
- #      aggiunta un'apposita voce nel menu.
- # UPD: La finestra di selezione della lingua è stata modificata; la lingua
- #      visualizzata come default nella combobox viene determinata da quella
- #      impostata nel sistema, e vengono automaticamente ridisegnate le
- #      scritte della finestra di dialogo.
- # BUG: Corretto un errore nella query getConstraints() contenuta nella classe
- #      DBPostgres70.class.
- # NDA: Programma compilato con la versione 1.9.49 di Gambas.

* Lun Gen 22 2007 Luigi Carlotto <md9327@mclink.it> 0.0-39
- # ---------------------------------------------------------------------------
- # NEW: All'avvio dell'applicazione viene presentata una finestra di dialogo,
- #      che permette di impostare la lingua, in modo da evitare di impostarla
- #      da riga di comando.
- # UPD: Aggiornamenti per la nuova versione di Gambas.
- # BUG: Le finestre EditTable, ViewWizard e ShowStatistics sono state
- #      modificate per correggere un problema con gli oggetti TableView di
- #      Gambas. Questi oggetti sono stati sostituiti con oggetti GridView.
- # NDA: Programma compilato con la versione 1.9.47 di Gambas.

* Dom Gen 15 2007 Luigi Carlotto <md9327@mclink.it> 0.0-38
- # ---------------------------------------------------------------------------
- # NEW: Aggiunto il modulo pgDesigner.module, che esegue il lancio della
- #      applicazione.
- # NEW: Aggiunta la nuova classe CApp, per la gestione dell'applicazione.
- #      Tutti i controlli gestiti in precedenza dalla finestra principale sono
- #      stati trasferiti in questa nuova classe. Il lancio viene effettuato
- #      dal modulo pgDesigner.
- # NEW: Aggiunta la nuova classe CProjects, come contenitore e gestore dei
- #      progetti.
- # NEW: Aggiunta la nuova classe CUtil, che contiene funzioni e procedure
- #      statiche di utilità e di supporto.
- # NEW: Aggiunta la possibilità di modificare le impostazioni di colore degli
- #      oggetti. Le impostazioni vengono conservate nel file di
- #      configurazione, sotto forma di stringa e nel formato "r,g,b", e sono
- #      valide a livello globale per tutti i progetti attivi e non attivi.
- #      Un'apposita finestra permette di variare la configurazione di base in
- #      ogni momento; le variazioni vengono applicate immediatamente su tutti
- #      i progetti aperti.
- # NEW: Aggiunta la possibilità di visualizzare la divisione del grafico in
- #      pagine; in pratica nel grafico vengono visualizzate delle linee di
- #      demarcazione tra le pagine componenti il grafico completo, che
- #      rispettano la reale dimensione del formato della pagina di stampa. Nel
- #      menu "Visualizza" è stata aggiunta la voce "Visualizza pagine" per
- #      permettere la gestione di questa nuova impostazione. E' da tener
- #      presente che, se attivata, questa impostazione può rallentare il
- #      refresh del grafico, a causa del ridisegno delle linee ad ogni
- #      cambiamento.
- # NEW: Aggiunta una nuova funzionalità, che permette di definire delle aree,
- #      utili per evidenziare gli oggetti in gruppi funzionali. Queste zone
- #      hanno forma rettangolare, con colore definito dall'utente, e su cui
- #      può essere inserita una singola stringa di testo, come nota
- #      descrittiva dell'area. La dimensione iniziale della zona viene
- #      definita in fase di creazione, cliccando in un punto dell'area di
- #      disegno, e trascinando il mouse fino a quando non si raggiunge la
- #      dimensione voluta. Per la gestione di questo nuovo oggetto è stata
- #      aggiunta nel progetto la nuova classe WArea. La modifica delle
- #      impostazioni viene effettuata tramite un'apposita finestra di dialogo,
- #      selezionando l'oggetto con il testo destro del mouse o il doppio
- #      click; è possibile modificarne il testo, il colore di riempimento, le
- #      coordinate e le dimensioni del rettangolo, oppure eliminarla dal
- #      progetto. Gli oggetti di questo tipo verranno salvati insieme a tutti
- #      gli altri elementi nel file di progetto. E' da tener presente che la
- #      gestione di questo tipo di oggetto tiene conto dell'ordine di
- #      creazione nel progetto, per cui gli ultimi elementi ricopriranno
- #      sempre quelli precedenti se sovrapposti; inoltre ed è visibile solo
- #      nel display su cui è stata creata. Nel menu principale è stata
- #      aggiunta una nuova voce per le impostazioni di visualizzazione di
- #      questo oggetto.
- # NEW: Aggiunta la possibilità di creare un progetto caricando le
- #      informazioni da un file contenente comandi sql. Il caricamento può
- #      essere effettuato tramite la stessa procedura di caricamento dei
- #      progetti, selezionando opportunamente il file da disco con
- #      l'estensione corretta. Al momento questa funzione è ancora in una fase
- #      di test, per cui possono verificarsi errori con file non correttamente
- #      impostati.
- # NEW: Aggiunta la classe CLog per la gestione del file di log per i messaggi
- #      e gli errori applicativi. Al momento nel log vengono memorizzati gli
- #      errori scaturiti dalla procedura di creazione del database.
- # NEW: Nel menu principale, sotto la voce Visualizza, è stata aggiunta la
- #      chiamata per la visualizzazione del log dell'applicazione.
- # UPD: Modificato il nome della finestra principale dell'applicazione in
- #      MainForm, che ora viene lanciata e gestita dalla nuova classe CApp.
- # UPD: La classe CObjects è stata rinominata in CObjectContainer, e sono
- #      state aggiornate e ristrutturate alcune funzioni, procedure e
- #      proprietà interne.
- # UPD: Modificate e ristrutturate alcune funzioni e oggetti dell'applicazione
- #      relativamente all'inserimento della nuova classe CApp.
- # UPD: Nella finestra di dialogo, per l'impostazione delle nuove coordinate
- #      dell'oggetto, è stato aggiunto un controllo che evita lo spostamento
- #      oltre le dimensioni dell'area grafica.
- # UPD: Effettuate alcune ottimizzazioni dell'oggetto WRelation.
- # UPD: La cancellazione di un oggetto WType determina la modifica di tutti i
- #      riferimenti su tutti gli oggetti. In particolare, il riferimento al
- #      tipo, nei parametri di una procedura, verrà sostituito con
- #      "undefined"; il tipo, relativamente ai campi di tabelle e domini verrà
- #      impostato al valore di default "character varying".
- # UPD: Aggiunti ulteriori controlli sulle proprietà degli oggetti PostgreSQL.
- # UPD: Aggiunte le nuove classi CGraphicArea e CTreeList, rispettivamente per
- #      la gestione dell'area di disegno e l'elenco degli oggetti del
- #      progetto, in modo tale da separare la funzionalità di questi oggetti
- #      dalla classe CProject, e snellirne il codice.
- # UPD: Nella funzione di stampa del report di progetto è stata aggiunta la
- #      possibilità di selezionare file con estensione ".htm".
- # UPD: Modificate le funzioni di lettura e scrittura dei file di progetto,
- #      relativamente alle impostazioni dei display (o viste di progetto).
- #      Questo potrebbe causare un'errata interpretazione nella lettura dei
- #      file creati con precedenti versioni; in questo caso è necessario
- #      modificare il file con un editor di testo, purtroppo con la
- #      conseguente perdita delle impostazioni, eliminando nel file con
- #      estensione ".ini" tutte le righe che iniziano esattamente con
- #      "Display[", o tutte le righe che iniziano esattamente con "<DISPLAY"
- #      e "<DISPLAYOBJECT" nei file con estensione ".xml". In ogni caso gli
- #      oggetti nel display principale rimarranno inalterati. Fare in ogni
- #      caso un backup dei file prima di effettuare qualsiasi variazione.
- # UPD: Le classi ProjectIni e ProjectXml sono state scalate per funzionalità,
- #      rispettivamente in: ProjectIniReader, ProjectIniWriter,
- #      ProjectXmlReader e ProjectXmlWriter. Questo allo scopo di alleggerire
- #      il codice, renderlo più leggibile, e ridurre le dimensioni di memoria
- #      occupata durante la creazione di questi oggetti. Le due precedenti
- #      classi fanno ora da padre alle nuove, e contengono la definizione di
- #      alcune delle proprietà comuni alle classi figlie; inoltre determinano
- #      la versione del file progetto che può essere caricata e scritta,
- #      diversamente da quanto avveniva in precedenza, impostandola con la
- #      versione della applicazione. Da ora in poi la versione dei file di
- #      progetto seguirà una numerazione distinta dalla versione
- #      dell'applicazione.
- # UPD: Le funzioni interne alla classe CProject, per la lettura e la
- #      scrittura dei progetti, import ed export da e verso il database e su
- #      file, la gestione dei parametri, sono state trasferite nella nuova
- #      classe CApp.
- # UPD: La classe ReportPrint è state scalata per funzionalità in:
- #      ReportPrintText e ReportPrintHtml. Questo allo scopo di alleggerire il
- #      codice, rendendolo più leggibile, e ridurre le dimensioni di memoria
- #      occupata durante l'elaborazione. In ogni caso la precedente classe
- #      resta come padre alle nuove, e contiene la definizione di alcune delle
- #      proprietà comuni alle classi figlie.
- # UPD: Ristrutturazione e pulizia dell'intera applicazione.
- # BUG: Corretto un piccolo problema di decodifica della definizione sql dello
- #      oggetto View.
- # BUG: Corretto un errore nella funzione di copia di un oggetto.
- # BUG: Corretto un problema con la cancellazione delle relazioni durante la
- #      cancellazione della relativa tabella.
- # BUG: Corretto un problema di caricamento degli oggetti WType con la
- #      funzione di reverse-engineering dal database.
- # BUG: Corretto un problema di codifica della proprietà "Language" degli
- #      oggetti di tipo procedura.
- # NDA: Programma compilato con la versione 1.9.46 di Gambas.

* Mer Ott 04 2006 Luigi Carlotto <md9327@mclink.it> 0.0-37
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la gestione dei display (o vista). Con display (o vista) si
- #      intende la possibilità di creare delle viste del progetto, ognuna
- #      contenente un gruppo di oggetti; per gruppo si intende un insieme di
- #      elementi facenti parte di una stessa logica. Ad esempio: è possibile
- #      definire un display che contiene le sole tabelle di codifica, oppure
- #      l'insieme di tutte le procedure. Il display mostrerà nell'area grafica
- #      i soli oggetti che fanno parte del gruppo; un'apposita finestra
- #      permette di inserire o togliere elementi dal gruppo, senza influire
- #      nella costruzione fisica del progetto. La gestione prevede un display
- #      di default, chiamato "Main View", che conterrà in ogni caso tutti gli
- #      elementi del progetto, prescindendo dai vari raggruppamenti. Le
- #      relazioni verranno visualizzate solo se nel display attivo sono
- #      presenti le relative tabelle. Un oggetto creato all'interno di un
- #      display diverso dal "Main View" verrà comunque creato nel display
- #      principale, stessa cosa se viene cancellato un oggetto dal progetto,
- #      questo verrà eliminato in tutti i display su cui era presente. Un
- #      display può essere creato, modificato o cancellato, senza influire sul
- #      progetto. Ogni display viene identificato da un nome e può contenere
- #      una descrizione sommaria. La finestra di gestione è accessibile dal
- #      menu principale; la selezione e la visualizzazione di un display può
- #      essere effettuata dal menu Progetto o dalla combobox presente sotto
- #      l'elenco oggetto di progetto, visualizzato nell'area a destra del
- #      finestra del programma.
- # NEW: Nel menu Modifica sono state aggiunte due voci: "Copia su display" che
- #      permette di copiare l'oggetto selezionato su un'altro display, e
- #      "Elimina da display" per eliminare un oggetto dal display attivo.
- #      Quest'ultima voce è abilitata solo sui display diversi da quello
- #      principale, su cui non è ovviamente possibile effettuare questo tipo
- #      di operazioni.
- # NEW: Alla chiusura dell'applicazione, se risultano essere presenti progetti
- #      nuovi o modificati non ancora salvati, viene presentata una finestra
- #      di avvertimento con cui è possibile decidere se procedere al loro
- #      salvataggio o annullare tutte le modifiche. Nel caso si confermi il
- #      salvataggio, la chiusura procederà presentando messaggi di conferma
- #      per ogni singolo progetto non ancora salvato.
- # NEW: Risolto il problema del caricamento dei file di progetto in formato
- #      xml. Le modifiche hanno stravolto completamente la struttura dei file
- #      di progetto in formato xml, per cui i progetti creati non le
- #      precedenti versioni non potranno essere ricuperati; per poter
- #      convertire i precedenti progetti è necessario riuscire a caricarli con
- #      la precedente versione di pgDesigner e salvarli in formato ini. Da
- #      notare che il tempo di caricamento dei file in formato xml risulta
- #      essere più lento rispetto ai file di tipo ini.
- # NEW: Aggiunta evidenziazione dei comandi sql nella finestra di estrazione.
- # NEW: Nella finestra di visualizzazione dei comandi sql è stato aggiunto un
- #      menu, con cui è possibile stampare o salvare su file il testo
- #      visualizzato.
- # UPD: La stampa del grafico di progetto è stata modificata per la nuova
- #      gestione dei display. La gestione ora stampa/salva l'immagine del
- #      display attivo.
- # UPD: Ora è possibile memorizzare l'autore del progetto; il nome verrà
- #      salvato nel file di progetto, e visualizzato nelle stampe e nei
- #      grafici.
- # UPD: Nel file di progetto viene ora memorizzato il display attivo, in modo
- #      da essere ripristinato nei successivi caricamenti e visualizzato
- #      immediatamente.
- # UPD: Ottimizzazione del menu "Visualizza".
- # UPD: Miglioramenti delle funzioni di stampa del grafico di progetto.
- # UPD: Tutte le procedure che effettuano operazioni massive ora utilizzano la
- #      stessa finestra di progressione.
- # UPD: Aggiornata la finestra delle statistiche di progetto, con l'aggiunta
- #      della lista dei display attivi.
- # UPD: Modificata l'etichetta PROCEDURESQL nei file di progetto con
- #      l'etichetta PROCEDURE; in ogni caso viene mantenuta la logica di
- #      caricamento per poter leggere i file di precedenti versioni. Da notare
- #      che nelle versioni successive la compatilità verrà eliminata.
- # UPD: Riscrittura degli oggetti e delle funzioni di creazione sql, e di
- #      import/export.
- # UPD: Aggiornamento della struttura dei messaggi applicativi.
- # UPD: Ottimizzazione delle classi, degli oggetti e delle procedure interne.
- # UPD: Aggiornamenti per la nuova versione di Gambas.
- # BUG: Corretta l'attivazione delle voci del menu popup.
- # BUG: Corretto un problema di visualizzazione delle relazioni con i campi
- #      non chiavi primarie, quando il dettaglio è impostato a nascosto. Il
- #      problema si verificava solo con l'impostazione di visualizzazione dei
- #      punti di attacco è diretta sui campi.
- # BUG: Corretti i driver PostgreSQL per le versioni dalla 8.0 alla 8.2, a
- #      causa di una query per il rilevamento degli oggetti sequenza nel
- #      database.
- # BUG: La funzione di creazione del database è stata corretta, a causa di un
- #      problema con gli oggetti sequenza.
- # NDA: Programma compilato con la versione 1.9.43 di Gambas.

* Mar Set 05 2006 Luigi Carlotto <md9327@mclink.it> 0.0-36
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la gestione multiprogetto; ora è possibile
- #      aprire/creare/modificare più progetti contemporaneamente. Ogni singolo
- #      progetto ha la sua area di disegno e la sua lista di oggetti, è
- #      possibile selezionare un progetto tramite i tab presenti nella tree
- #      alla destra della finestra dell'applicazione o dal menu Progetto.
- #      ATTENZIONE! Usare con cautela, la gestione è ancora in fase di test.
- # NEW: E' stato aggiunto un nuovo algoritmo, che permette di visualizzare le
- #      relazioni agganciate ai campi delle tabelle. Il punto di partenza
- #      viene agganciato sul lato destro della tabella padre, mentre sul lato
- #      sinistro della tabella figlia. Di conseguenza sono state aggiunte le
- #      rispettive voci di menu sotto "Visualizza/Relazioni".
- # NEW: Il tasto destro del mouse sul titolo del pannello lista oggetti attiva
- #      il menu Progetto per il progetto corrente.
- # NEW: Aggiunto un splash screen alla partenza del programma.
- # UPD: La MainForm dell'applicazione e l'oggetto CProject sono stati
- #      completamente ristrutturati per la gestione multiprogetto.
- # UPD: L'etichetta "Relation", presente nel file di progetto XML sotto la
- #      voce "RELATION" e che contiene i nomi dei campi di un'oggetto
- #      relazione, è stata modificata in "RelationFields" per evitare
- #      confusione con l'etichetta padre.
- # UPD: Aggiornata la finestra delle statistiche di progetto.
- # UPD: Creata una nuova classe CObjects, implementata per una migliore
- #      gestione del programma, contenente tutti gli oggetti del progetto.
- # UPD: Ora nell'elenco degli oggetti a destra dello schermo, le chiavi
- #      primarie e le foreign-key delle tabelle vengono identificate con le
- #      stesse icone visualizzate negli oggetti sul grafico.
- # UPD: Il nome di partenza dei nuovi progetti ora segue una logica diversa,
- #      utilizzando un numero progressivo al posto della data corrente
- #      formattata. Questa logica è stata implementata per la nuova gestione
- #      multiprogetto.
- # UPD: E' stato aggiunta la proprietà CHECK nei campi di tabella.
- #      ATTENZIONE! Al momento non è possibile importare dal database questa
- #      proprietà.
- # UPD: La finestra di log è stata implementata con un menu, con cui è
- #      possibile salvare o stampare il contenuto.
- # UPD: Dalla finestra delle proprietà di progetto è possibile stampare
- #      l'elenco completo degli oggetti e dei campi.
- # UPD: La directory per la creazione del file sql e dei report di progetto è
- #      ora per default la home directory dell'utente.
- # UPD: Aggiunti ulteriori controlli sui dati immessi nelle finestre di
- #      editing.
- # UPD: Le routine interne della finestra di stampa del diagramma di progetto
- #      sono state migliorate.
- # UPD: Alcuni miglioramenti e adattamenti alla nuova versione di Gambas2.
- # UPD: Il nome di alcuni sorgenti è stato modificato.
- # BUG: Corretto un problema nella finestra di edit dell'oggetto Dominio.
- # NDA: Programma compilato con la versione 1.9.40 di Gambas.

* Lun Ago 21 2006 Luigi Carlotto <md9327@mclink.it> 0.0-35
- # ---------------------------------------------------------------------------
- # UPD: Ripristinati la barra del titolo e i pulsanti standard nelle finestre
- #      di dialogo, precedentemente disabilitati per un problema con l'evento
- #      di chiusura da questi ultimi.
- # BUG: Corretto un problema dell'eseguibile con il caricamento delle icone
- #      del programma.
- # NDA: Programma compilato con la versione 1.9.39 di Gambas.

* Dom Ago 13 2006 Luigi Carlotto <md9327@mclink.it> 0.0-34
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la voce "Crea database", che permette di creare direttamente
- #      gli oggetti su un database esistente. A causa di eventuali problemi
- #      che possono derivare da i vari collegamenti tra gli oggetti, la
- #      funzione cerca di creare gli oggetti in diversi passaggi; ad ogni
- #      passaggio vengono creati gli oggetti che non è riuscito a creare al
- #      passaggio precedente. Il numero massimo di passaggi corrisponde al
- #      numero di oggetti contenuti nel progetto, dipendentemente dall'esito
- #      di ogni passo elaborativo. ATTENZIONE !!! La funzione è ancora in fase
- #      di test; al momento non è previsto l'aggiornamento degli oggetti,
- #      compresa la creazione delle tablespace, i dati contenuti nelle tabelle
- #      vengono cancellati.
- # NEW: Ora è possibile visualizzare il menu popup anche nella lista oggetti
- #      del progetto.
- # NEW: Sotto la directory di configurazione di pgDesigner è presente la
- #      cartella "log", in cui vengono salvati i log delle ultime operazioni
- #      di input/output.
- # NEW: Introdotta la gestione dell'oggetto "TYPE" di PostgreSQL. La gestione
- #      è incompleta e ancora in fase di test, usare con cautela.
- # NEW: Nel menu Visualizza è stato aggiunto un nuovo sottomenu, con alcune
- #      voci per visualizzare/nascondere gli oggetti nel grafico. Tutti gli
- #      oggetti, tranne le tabelle e le relazioni, possono essere resi
- #      visibili o nascosti alla vista.
- # UPD: Ristrutturazione delle voci di menu Modifica e Progetto.
- # UPD: La classe MenuPopup è stata eliminata, ora il menu popup viene creato
- #      direttamente dalla voce Modifica del menu principale.
- # UPD: Gli oggetti testo ora vengono visualizzati con un contorno in grigio
- #      chiaro, che permette di identificarne esattamente i margini.
- # UPD: Effettuate alcune modifiche relative alla nuova versione di Gambas.
- # UPD: Il font delle definizioni delle funzioni e delle viste nelle finestre
- #      di editing è stato impostato a Courier per una migliore lettura.
- # UPD: La versione di PostgreSQL utilizzata nel progetto condiziona la
- #      visualizzazione e l'uso degli oggetti. Selezionare una versione
- #      precedente a quella corrente provoca la cancellazione di tutti gli
- #      oggetti non previsti da PostgreSQL.
- # UPD: Modificato l'ordine di creazione dei comandi sql dei gruppi di
- #      oggetti; ora le viste vengono create per ultime.
- # UPD: Alcune correzioni e ottimizzazioni delle procedure di input/output.
- # UPD: Aggiunti ulteriori controlli nelle finestre di modifica degli oggetti.
- #      Per le procedure viene controllata la validità dei parametri in input,
- #      che devono essere presenti nell'elenco dei tipi riconosciuti e validi
- #      per la versione di PostgreSQL selezionata.
- # UPD: Per la connessione al database è stato aggiunto il parametro PORT, per
- #      poter gestire anche le configurazioni non standard di PostgreSQL.
- # BUG: Corretto un problema con i tipi time/timestamp durante l'export dei
- #      comandi sql relativi ai domini.
- # BUG: Corretto un problema di caricamento degli argomenti delle procedure
- #      dal database.
- # BUG: Corretto un errore durante la cancellazione di un oggetto tablespace.
- # BUG: Corretto un problema durante l'export in sql degli oggetti tabella.
- # BUG: Corretto un problema di caricamento dei valori di default delle
- #      tabelle dal database; se il default è una funzione, questa viene
- #      racchiusa tra doppi apici.
- # BUG: Corretto un problema di caricamento dal database degli indici di
- #      tabella relativi a chiavi primarie, definite in modo automatico da
- #      PostgreSQL e/o con nome uguale alla chiave primaria. Stesso
- #      comportamento durante l'export in sql e verso il database.
- # BUG: Corretto un errore nella creazione dei comandi sql per DROP FUNCTION.
- #      Il comando non viene più creato/eseguito, lo scopo viene raggiunto con
- #      l'alternativa CREATE OR REPLACE FUNCTION.
- # BUG: Corretto un problema nel caricamento dal database delle proprietà
- #      delle funzioni.
- # BUG: Corretto un problema nel caricamento dal database delle proprietà dei
- #      trigger.
- # BUG: Corretto un problema sul caricamento da database; ora gli oggetti
- #      caricati sono esclusivamente quelli appartenenti all'utente di login.
- # BUG: Corretto un problema di singoli/doppi apici nei commenti degli
- #      oggetti, durante la scrittura dei comandi sql.
- # BUG: Eliminata la gestione del parametro "ON INSERT" nella
- #      gestione/creazione delle relazioni, inesistente in PostgreSQL.
- # BUG: Corretto un problema nella lettura dal database delle relazioni con
- #      più campi.
- # BUG: Per evitare il blocco dell'applicazione, quando viene premuto il
- #      pulsante di chiusura presente nella barra del titolo, è stato
- #      aggiunto un pulsante di chiusura in fondo alla finestra di
- #      visualizzazione estrazione sql.
- # NDA: Programma compilato con la versione 1.9.38 di Gambas.

* Sab Giu 10 2006 Luigi Carlotto <md9327@mclink.it> 0.0-33
- # ---------------------------------------------------------------------------
- # NEW: Nel menu Progetto è stato aggiunto un ulteriore sottomenu con cui è
- #      possibile condizionare la visualizzazione delle linee delle relazioni
- #      tra tabelle. Ora è possibile definire se mostrare i collegamenti in
- #      modo diretto o con linea segmentata, quest'ultima è la condizione di
- #      default. (aggiornamento proposto dall'amico Jose Francisco Reinoza
- #      dal Venezuela).
- # NEW: Aggiunto un controllo sulla relazione tra due campi non compatibili;
- #      il controllo non blocca la selezione ma presenta un messaggio di
- #      warning.
- # NEW: Aggiunto un controllo sulla dimensione massima del nome degli oggetti,
- #      definita in base alla versione PostgreSQL impostata nel progetto. I
- #      file di progetto contenenti nomi che superano questa dimensione non
- #      verranno caricati, per cui sarà necessario procedere alla modifica dei
- #      nomi direttamente sul file con un qualsiasi editor. I nomi nelle
- #      finestre di editing verranno automaticamente limitati a questa
- #      dimensione.
- # NEW: Nella struttura delle tabelle è stata aggiunta la proprietà PrimaryKey
- #      che contiene la stringa del nome della chiave primaria della tabella.
- #      Il valore non è obbligatorio, e viene impostato automaticamente dal
- #      programma, al nome della tabella seguita dal suffisso "_pk". Nella
- #      finestra di edit della tabella, se esiste una chiave primaria e il
- #      nome è vuoto, verrà impostato al valore di default, e presentato un
- #      messaggio di avvertimento; altrimenti se non viene selezionata alcuna
- #      chiave, la proprietà verrà cancellata. La stessa logica viene
- #      applicata durante il caricamento di file di progetto creati con
- #      versioni precedenti. E' stata modificata anche la funzione di
- #      reverse-engineering, in modo da leggere dal database anche il nome
- #      della chiave primaria. Notare che, in ogni caso, la dimensione del
- #      nome verrà troncata alla massima dimensione ammessa dal driver di
- #      PostgreSQL. (aggiornamento proposto dall'amico Jose Francisco
- #      Reinoza).
- # UPD: Aggiornata la lista dei datatype supportata da PostgreSQL, in cui sono
- #      stati aggiunti alcuni tipi mancanti. L'elenco dei datatype è ora
- #      condizionato dalla versione di PostgreSQL selezionata, per cui alcuni
- #      nuovi tipi potrebbero non essere visualizzati con versioni precedenti.
- #      In progetti creati con versioni precedenti, alcuni datatype potrebbero
- #      non essere più conformi all'elenco, e assumere diverso valore; in
- #      questo caso è necessario modificare la versione del driver nella
- #      finestra dei parametri di progetto, o selezionare datatype diversi per
- #      ogni singolo oggetto. Questo aggiornamento è ancora in fase di studio,
- #      e l'elenco potrebbe subire variazioni nelle release successive di
- #      pgDesigner.
- # UPD: Migliorata la logica di disegno degli oggetti grafici.
- # UPD: Ristrutturato il menu principale. Le voci di menu relative alla
- #      visualizzazione dei dettagli degli oggetti, dei campi chiave e dei
- #      nomi delle relazioni, sono state spostate nel menu Visualizza e rese
- #      globali all'applicazione, ovvero non più legate al progetto; le
- #      impostazioni memorizzate nei file di progetto creati con le versioni
- #      precedenti ora non vengono prese più in considerazione e non
- #      influiranno sullala visualizzazione degli oggetti. Anche la finestra
- #      dei parametri di progetto non presenta più queste impostazioni.
- # UPD: Le finestre dei parametri di progetto e delle statistiche sono state
- #      modificate; in particolare, la finestra delle statistiche, riporta due
- #      liste, in ordine alfabetico, degli oggetti presenti nel progetto, e i
- #      campi contenuti nelle tabelle. Gli elenchi sono in sola lettura e ai
- #      soli fini statistici e di controllo.
- # UPD: Il menu popup è stato implementato e aggiornato con le variazioni
- #      effettuate al menu principale.
- # UPD: Molte delle logiche e degli oggetti del programma sono state
- #      ottimizzate.
- # UPD: Il font della finestra di visualizzazione di estrazione sql/html è
- #      stato modificato e impostato in Courier; questo per permettere una
- #      migliore lettura del testo e per visualizzare al meglio le spaziature
- #      delle righe di testo. Inoltre ora è gestita la indentazione del testo
- #      del contenuto delle procedure.
- # UPD: Per gli oggetti testo, è stata aggiunta la possibilità di scrivere il
- #      testo su più righe, e di definirne il posizionamento.
- # UPD: Nel file di progetto è stata aggiunta la proprietà "Driver" che
- #      contiene la versione PostgreSQL. Per default, nella creazione di un
- #      nuovo progetto, la versione impostata è la 8.0; questa può essere
- #      modificata tramite la finestra di Configurazione del progetto. Nei
- #      progetti creati con versioni precedenti, la versione verrà impostata a
- #      quella di default in fase di caricamento. Da notare che l'inserimento
- #      del controllo di dimensione dei nomi degli oggetti potrebbe non
- #      permettere la variazione della versione con release di PostgreSQL
- #      precedenti, per cui occorrerà procedere prima alla modifica manuale
- #      dei nomi direttamente sul file, prima di effettuare il cambio di
- #      versione.
- # BUG: L'impostazione dei ritorni a capo nelle proprietà commento di alcuni
- #      oggetti è stata corretta.
- # BUG: Le stringhe relative alle proprietà degli oggetti di database ora
- #      vengono pulite di eventuali spazi spuri all'inizio e alla fine della
- #      stringa (trimming).
- # NDA: Programma compilato con la versione 1.9.31 di Gambas.

* Mar Mag 23 2006 Luigi Carlotto <md9327@mclink.it> 0.0-32
- # ---------------------------------------------------------------------------
- # BUG: Corretto un piccolo problema di visualizzazione nella finestra di
- #      dialogo per i parametri di progetto.
- # BUG: Corretto un problema durante il salvataggio e il caricamento di un
- #      progetto senza oggetti.
- # BUG: Corretto un piccolo problema grafico nella Lista Oggetti, che causava
- #      la modifica dell'icona di un'oggetto di progetto impostandola come una
- #      icona di gruppo.
- # UPD: Modificata la struttura del file xml di progetto (esiste ancora un
- #      problema sul caricamento di questo tipo di file, per cui se ne
- #      sconsiglia l'uso).
- # UPD: Modificata la logica dello stato di dragging in corso.
- # NEW: Aggiunta nel menu File di un sottomenu, contenente la lista degli
- #      ultimi 5 progetti aperti. Da questa lista è possibile caricare il
- #      relativo progetto (sempre se ancora presente nella directory).
- # NEW: Ora è possibile modificare le coordinate dell'oggetto selezionato,
- #      attivando una finestra di dialogo tramite doppio click del mouse nella
- #      barra di stato, in corrispondenza dell'area contenente la posizione
- #      attuale dell'oggetto, oppure dal menu Modifica o dal menu popup con il
- #      tasto destro del mouse. La finestra permette di impostare il punto di
- #      posizionamento dell'oggetto nel grafico, tramite l'inserimento delle
- #      coordinate X,Y nell'area di disegno.
- # NEW: Il salvataggio del progetto ora è stato diviso su due voci di menu:
- #      salvataggio del progetto corrente sullo stesso file, salvataggio su
- #      nuovo file. Con la prima opzione il progetto viene automaticamente
- #      salvato sullo stesso file da cui è stato caricato il progetto, tranne
- #      nel caso di salvataggio di uno nuovo; con la seconda opzione viene
- #      sempre richiesto il nuovo nome del file e la directory su cui
- #      salvarlo.
- # NEW: I nuovi oggetti vengono posizionati inizialmente nell'angolo in alto a
- #      sinistra dell'area visibile, e non più come in precedenza nell'angolo
- #      superiore sinistro relativo al grafico.
- # NEW: Nella lista degli oggetti di progetto, per le tabelle e le viste
- #      vengono visualizzati anche i rispettivi campi, evidenziando le chiavi
- #      con apposite icone identificative.
- # NEW: La dimensione della lista oggetti di progetto viene ora memorizzata
- #      nel file di configurazione; in questo modo, al successivo riavvio del
- #      programma verranno ripristinate le ultime dimensioni impostate
- #      manualmente.
- # NEW: Lo spostamento di oggetti oltre l'area visibile ora provoca lo scroll
- #      automatico permettendo di seguire e rendere visibile l'attuale
- #      posizione dell'oggetto trascinato.
- # NEW: Implementazione dei parametri nel file di configurazione; le
- #      impostazioni di import/export vengono salvate in modo separato.
- # UPD: Programma compilato con la versione 1.9.30 di Gambas.

* Mar Mag 02 2006 Luigi Carlotto <md9327@mclink.it> 0.0-31
- # ---------------------------------------------------------------------------
- # UPD: Modificata la struttura del file xml di progetto (esiste ancora un
- #      problema sul caricamento di questo tipo di file, per cui se ne
- #      sconsiglia l'uso).
- # BUG: Corretto un errore nella creazione degli indici su alcune versioni di
- #      PostgreSQL, durante il report in formato testo.
- # NEW: La progressione della creazione del report viene ora visualizzata su
- #      una finestra di dialogo, che viene chiusa al termine della funzione.
- # UPD: Modificata e migliorata la gestione della stampa del grafico del
- #      progetto.
- # NEW: La progressione delle funzioni di salvataggio e caricamento da file,
- #      l'esportazione su file e il reverse-engineering, vengono ora
- #      visualizzate su una finestra di dialogo, che viene chiusa alla termine
- #      della sua funzione.
- # BUG: Corretta la funzione di caricamento degli oggetti dominio dal database
- #      per alcune versioni di PostgreSQL.
- # UPD: Modificati i nomi di alcune form.
- # UPD: Riorganizzazione degli oggetti, in particolar modo è stato modificato
- #      l'oggetto CProject.
- # NEW: Nella finestra di gestione della stampa del diagramma del progetto
- #      sono stati aggiunti due checkbox, con i quali è possibile adattare
- #      l'intero diagramma all'interno di una sola pagina, e salvare il
- #      diagramma come file immagine (formati validi: png, bmp, gif, jpg e
- #      xpm). Le dimensioni del file immagine corrispondono alle reali
- #      dimensioni dell'intera area grafica; la funzione provvede
- #      automaticamente ad eliminare le zone vuote a margine, disegnando solo
- #      l'area occupata dagli oggetti. Stessa cosa per la stampa su pagina
- #      singola.
- # NEW: Programma compilato con la versione 1.9.29 di Gambas.

* Mer Apr 19 2006 Luigi Carlotto <md9327@mclink.it> 0.0-30
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la possibilità, nella maschera di edit dei campi della
- #      tabella, di spostare l'ordine dei campi nell'elenco.
- # NEW: I campi facenti parte di una foreign-key vengono evidenziati con un
- #      rombo grafico rosso, mentre i campi normali con un quadratino grigio.
- # NEW: I punti di attacco delle relazioni alle tabelle viene evidenziato con
- #      colore rosso per il padre, con colore verde per la figlia.
- # NEW: I punti di attacco delle relazioni al bordo delle tabelle viene
- #      riordinato in modo da rispettare la posizione degli oggetti sul
- #      grafico.
- # NEW: Aggiunta la voce di menu "Visualizza chiavi", che permette di mostrare
- #      i soli campi chiave delle tabelle. La stessa voce è stata aggiunta al
- #      menu popup.
- # NEW: Il file di configurazione viene ora memorizzato nella directory
- #      ".pgdesigner" nella home utente. All'avvio questa viene creata non
- #      esiste.
- # NEW: Ora viene salvata nel file di configurazione l'ultima directory
- #      dell'ultimo caricamento/salvataggio. Per default è la home directory
- #      dell'utente.
- # NEW: Programma compilato con la versione 1.9.28 di Gambas.

* Mer Mar 22 2006 Luigi Carlotto <md9327@mclink.it> 0.0-29
- # ---------------------------------------------------------------------------
- # NEW: Aggiunto il pulsante Wizard nella toolbar per la creazione guidata
- #      delle viste.
- # UPD: Aggiornata la ViewWizard per la creazione guidata delle viste.
- # BUG: Corretto un problema nella finestra parametri di progetto durante la
- #      creazione di un nuovo progetto.
- # BUG: Corretto un segment fault quando viene terminato il programma o quando
- #      viene chiuso senza salvare un progetto attivo modificato.
- # BUG: Corretto un segment fault quando vengono caricati progetti in modo
- #      consecutivo.
- # NEW: Programma compilato con la versione 1.9.26 di Gambas.

* Mar Feb 28 2006 Luigi Carlotto <md9327@mclink.it> 0.0-28
- # ---------------------------------------------------------------------------
- # BUG: Corretto un errore di caricamento dell'immagine relativa alla
- #      primary-key nelle finestre di editing dei campi e degli indici della
- #      tabella e nella finestra di editing delle relazioni.
- # BUG: Correzione di alcuni errori nella finestra wizard delle viste.
- # BUG: Correzione errore caricamento oggetti text da file progetto.
- # BUG: Correzione errore in cancellazione oggetto tablespace.

* Sab Feb 25 2006 Luigi Carlotto <md9327@mclink.it> 0.0-27
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta finestra per i parametri di esportazione dello script sql.
- #      Ora è possibile stabilire cosa esportare; inoltre è possibile decidere
- #      se visualizzare o scrivere su disco il contenuto dello script sql
- #      generato. I parametri impostati vengono salvati nel file di
- #      configurazione.
- # NEW: Implementazione dei parametri nel file di configurazione; vengono
- #      memorizzate anche le impostazioni per l'esportazione dello script sql.
- # UPD: Ottimizzazione del menu principale e del menu popup.
- # UPD: Aggiunte grafiche all'oggetto Tree.
- # UPD: Aggiunta la clessidra nelle lunghe elaborazioni.
- # UPD: Piccole modifiche dell'oggetto CProject e della MainForm.
- # NEW: Ora è possibile selezionare e attivare il menu popup sulle etichette
- #      delle relazioni (se visibili); inoltre l'etichetta assume ora lo
- #      stesso colore della linea di relazione.
- # UPD: Modifiche grafiche della barra di stato.
- # UPD: Ridimensionamento etichette delle relazioni; ora vengono visualizzate
- #      più compresse rispetto alla versione precedente.
- # UPD: Ristrutturazione delle icone del programma.
- # NEW: Le dimensioni della finestra principale ora vengono salvate nel file
- #      di configurazione e ripristinate al riavvio successivo.
- # UPD: Aggiornata la finestra delle statistiche di progetto, con l'aggiunta
- #      di ulteriori informazioni.
- # NEW: Aggiunta una finestra di selezione degli oggetti da importare dal
- #      database nella funzione di reverse-engineering.
- # BUG: Corretta la funzione di cancellazione degli oggetti dal menu; ora
- #      viene richiesta conferma prima di eseguire l'eliminazione. Inoltre è
- #      stata implementata la verifica dell'esistenza di relazioni tra gli
- #      oggetti presenti nel progetto e l'oggetto in cancellazione.
- # UPD: Migliorati i messaggi di conferma cancellazione.
- # UPD: Modifiche relative alla nuova versione di Gambas (vedi successivo).
- # NEW: Programma compilato con la versione 1.9.25 di Gambas.

* Sab Feb 18 2006 Luigi Carlotto <md9327@mclink.it> 0.0-26
- # ---------------------------------------------------------------------------
- # UPD: Aggiornate le icone dell'applicazione.
- # NEW: Aggiunto campo descrizione di progetto. Ora è possibile inserire una
- #      nota descrittiva relativa al progetto; la stessa nota viene
- #      visualizzata e stampata nei report e nei file sql.
- # UPD: Modificata la form di impostazione dei parametri di progetto.
- # UPD: Modificata la struttura del file di configurazione.
- # NEW: Aggiunta la struttura di base per le nuove procedure.
- # NEW: Aggiunta la struttura di base le nuove viste.
- # UPD: Ristrutturazione del menu popup.
- # UPD: Implementazione della documentazione.
- # UPD: Programma compilato con la versione 1.9.24 di Gambas.

* Feb 08 2006 Luigi Carlotto <md9327@mclink.it> 0.0-25
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la possibilità di visualizzare o meno sul grafico il nome
- #      delle relazioni.
- # UPD: Programma compilato con la versione 1.9.24 di Gambas.

* Feb 06 2006 Luigi Carlotto <md9327@mclink.it> 0.0-24
- # ---------------------------------------------------------------------------
- # BUG: Corretto un problema di visualizzazione del nome del progetto se
- #      modificato.
- # BUG: Corretto un problema quando viene premuto il tasto del mouse sulla
- #      tree in assenza di progetto.
- # BUG: Alcune correzioni e rifacimenti della barra di stato.
- # UPD: Negli oggetti tabella è stata sostituita la dicitura "PK" con un'icona
- #      per identificare i campi che fanno parte della chiave primaria.
- # NEW: Nella finestra di editing delle tabelle viene ora visualizzata, nella
- #      lista delle colonne della tabella, un'icona per identificare i campi
- #      appartenenti alla chiave primaria.
- # NEW: Nella finestra di editing delle relazioni viene ora visualizzata
- #      un'icona per identificare i campi appartenenti alla chiave primaria.
- # NEW: Nella finestra di editing delle relazioni è stato aggiunto un
- #      controllo per evitare la duplicazione dei campi in relazione.
- # NEW: Nella finestra di editing degli indici viene ora visualizzata, nella
- #      lista delle colonne della tabella, un'icona per identificare i campi
- #      appartenenti alla chiave primaria.
- # NEW: Nella finestra di editing degli indici è stato aggiunto un controllo
- #      per evitare la duplicazione dei campi.
- # UPD: Programma compilato con la versione 1.9.24 di Gambas.

* Gen 31 2006 Luigi Carlotto <md9327@mclink.it> 0.0-23
- # ---------------------------------------------------------------------------
- # NEW: Creato l'oggetto CConfig per la gestione del file di configurazione di
- #      pgDesigner.
- # UPD: Modificata la struttura del file di configurazione di pgDesigner.
- # NEW: Aggiunta traduzione in inglese dei testi e dei messaggi.
- # UPD: Modificata la funzione di visualizzazione dei comandi sql; ora
- #      l'estrazione viene effettuata in formato html in modo da velocizzarne
- #      il caricamento nella form.
- # NEW: Aggiunto il voce di menu statistiche a cui è collegata una form che
- #      visualizza il numero di oggetti diviso per tipologia contenuti nel
- #      progetto.

* Gen 29 2006 Luigi Carlotto <md9327@mclink.it> 0.0-22
- # ---------------------------------------------------------------------------
- # UPD: Modifiche del menu popup.
- # BUG: Corretto un problema sul caricamento dei file ini di progetto.
- # UPD: Ristrutturazione dell'oggetto CProject e della MainForm.
- # UPD: Modificata la form di progetto; ora è possibile inserire altre
- #      impostazioni di base.

* Gen 03 2006 Luigi Carlotto <md9327@mclink.it> 0.0-21
- # ---------------------------------------------------------------------------
- # NEW: Aggiunta la funzione report progetto, ora è possibile creare un file
- #      con il report contenente i dati di ogni singolo oggetto del progetto.
- #      L'estrazione può essere fatta in formato testo o in formato html.
- # BUG: Corretto problema di caricamento da database dei campi indice.

* Gen 02 2006 Luigi Carlotto <md9327@mclink.it> 0.0-20
- # ---------------------------------------------------------------------------
- # UPD: Implementazione pagine di help.

* Dic 30 2005 Luigi Carlotto <md9327@mclink.it> 0.0-19
- # ---------------------------------------------------------------------------
- # BUG: Corretto problema di trascinamento degli oggetti oltre i limiti
- #      dell'area di disegno.
- # NEW: Aggiunte nuove voci in elenco tipi PostgreSql.
- # NEW: Aggiunta conferma su eliminazione oggetti.
- # BUG: Corretto e aggiunte icone al menu popup.
- # BUG: Piccole correzioni.
- # NEW: Creazione pagine di help.

* Dic 30 2005 Luigi Carlotto <md9327@mclink.it> 0.0-18
- # ---------------------------------------------------------------------------
- # NEW: Aggiunti ulteriori controlli nelle finestre di editing.
- # BUG: Corretta la funzione di caricamento dei trigger dal database.
- # BUG: Corretto il problema dei pulsanti della toolbar attivi anche se nessun
- #      progetto è attivo.
- # UPD: Modificato il colore delle linee di relazione da nero a grigio chiaro,
- #      inoltre il colore delle relazioni passa a rosso se selezionato.
- # UPD: Modificata la funzione di arrangiamento degli oggetti sullo schermo.
- # BUG: Corretta la dimensione dell'oggetto text, ora visualizza correttamente
- #      tutta la stringa sul grafico.

* Dic 18 2005 Luigi Carlotto <md9327@mclink.it> 0.0-17
- # ---------------------------------------------------------------------------
- # UPD: Modifica della StatusBar, ora vengono visualizzati: nome e tipo
- #      oggetto corrente, posizione angolo superiore sinistro dell'oggetto,
- #      relazione in corso di definizione, trascinamento oggetto in corso,
- #      editing dei dati in corso, indicatore di progetto modificato,
- #      estensione del file di progetto (ini o xml).
- # NEW: Aggiunta distinzione tra relazione RESTRICT e non; nel caso non
- #      esistano restrizioni di relazione, la linea di collegamento viene
- #      visualizzata in punti invece che in una linea continua.
- # BUG: Correzioni generali.

* Dic 18 2005 Luigi Carlotto <md9327@mclink.it> 0.0-16
- # ---------------------------------------------------------------------------
- # UPD: Modifiche delle funzioni di salvataggio e caricamento progetti in xml
- #      (purtroppo esistono ancora problemi nelle funzioni di caricamento).
- # UPD: Modifiche delle finestre di editing dei dati.
- # UPD: Piccole modifiche sul caricamento di valori di tipo boolean.
- # NEW: Aggiunto il caricamento dei domini dal database.
- # UPD: Modificata la funzione di arrangiamento degli oggetti sullo schermo.
- # NEW: Aggiunta la variabile Comment all'oggetto PGDomain.
- # NEW: Aggiunta funzione di copia degli oggetti (escluso relazioni).
- # NEW: Aggiunte icone sui pulsanti delle finestre di editing.
- # NEW: Aggiunti pulsanti funzione sulle form di editing di Campi e Indici.
- # NEW: Aggiunti tooltip nelle finestre di editing.
- # BUG: Corretto l'output sql delle relazioni (tabelle padre e figlio).
- # NEW: Aggiunti controlli sui dati degli oggetti nelle form di editing.

* Dic 14 2005 Luigi Carlotto <md9327@mclink.it> 0.0-15
- # ---------------------------------------------------------------------------
- # UPD: Completamente ristrutturati gli oggetti grafici e la logica di
- #      movimento.
- # UPD: Modifiche delle finestre di editing dei dati.
- # UPD: Modifiche delle funzioni di salvataggio e caricamento progetti.
- # UPD: Modifiche delle funzioni di estrazione sql.
- # UPD: Modifiche delle funzione di stampa.

* Dic 07 2005 Luigi Carlotto <md9327@mclink.it> 0.0-14
- # ---------------------------------------------------------------------------
- # UPD: Miglioramento grafico degli oggetti.
- # UPD: Modifiche sulle funzioni di trascinamento degli oggetti grafici.
- # UPD: Migliorata l'interfaccia per la stampa del grafico.

* Dic 06 2005 Luigi Carlotto <md9327@mclink.it> 0.0-13
- # ---------------------------------------------------------------------------
- # NEW: Implementazione della stampa in pagine dell'area di disegno.
- # UPD: Eliminato il menu "Imposta pagina" e tutti i sottoitem.

* Dic 05 2005 Luigi Carlotto <md9327@mclink.it> 0.0-13
- # ---------------------------------------------------------------------------
- # UPD: Modifiche sulle funzioni di trascinamento degli oggetti grafici.

* Dic 04 2005 Luigi Carlotto <md9327@mclink.it> 0.0-12
- # ---------------------------------------------------------------------------
- # UPD: Modifiche sulle funzioni di trascinamento degli oggetti grafici.

* Dic 02 2005 Luigi Carlotto <md9327@mclink.it> 0.0-11
- # ---------------------------------------------------------------------------
- # NEW: Ricompilato con la versione 1.9.22 di gambas, uso delle long.
- # BUG: Correzione di alcune funzioni.
- # UPD: Modifiche sulle funzioni di trascinamento degli oggetti grafici.
- # UPD: Modifiche nelle finestre di editing.

* Nov 21 2005 Luigi Carlotto <md9327@mclink.it> 0.0-10
- # ---------------------------------------------------------------------------
- # UPD: Riscritte le funzioni di creazione struttura sql da progetto.
- # NEW: Ora è possibile visualizzare un preview dei comandi sql generati.
- # UPD: Modificate le finestre di editing degli oggetti.
- # NEW: Aggiunta la possibilità di visualizzare/nascondere i dettagli delle
- #      tabelle e delle viste.
- # UPD: Modifiche sulle funzioni grafiche; in particolare evitato il refresh
- #      continuo del grafico.
- # UPD: Modificata la grafica della MainWindow; ora è possibile visualizzare o
- #      nascondere la toolbar, l'elenco degli oggetti e la barra di stato.
- # UPD: L'elenco dei campi nella finestra di editing della tabella viene ora
- #      visualizzata la condizione di null value.
- # NEW: Aggiunto il reverse-engineering da un database PostgreSql (per il
- #      momento è previsto solo per la versione 8.0).

* Nov 10 2005 Luigi Carlotto <md9327@mclink.it> 0.0-9
- # ---------------------------------------------------------------------------
- # NEW: Aggiunto menu popup con le opzioni più comuni per la gestione degli
- #      oggetti; premendo il tasto destro del mouse sopra un'oggetto è
- #      possibile modificarlo o cancellarlo; premendolo in una zona vuota
- #      permette di inserire un nuovo oggetto.

* Nov 05 2005 Luigi Carlotto <md9327@mclink.it> 0.0-8
- # ---------------------------------------------------------------------------
- # BUG: Corretti alcuni bug nella gestione dei file di progetto .ini.
- # NEW: Ora è possibile selezionare le relazioni cliccando sulla linea di
- #      collegamento.
- # NEW: Modificate alcune impostazioni grafiche e di colore.
- # BUG: Attenzione ! Le funzioni di caricamento da file xml ancora non sono
- #      stabili.

* Nov 02 2005 Luigi Carlotto <md9327@mclink.it> 0.0-7
- # ---------------------------------------------------------------------------
- # NEW: Versione trasportata e compilata sotto gambas 1.9.21.
- # UPD: Modificata completamente la gestione dei file di progetto .ini
- #      utilizzato l'oggetto di libreria Settings.
- # UPD: Piccole modifiche grafiche.

* Tue Nov 01 2005 Luigi Carlotto <md9327@mclink.it> 0.0-6
- # ---------------------------------------------------------------------------
- # UPD: Piccole modifiche grafiche.

* Mon Oct 31 2005 luigi <luigi@srvlnx.clsoft.it> 0.0-5
- # ---------------------------------------------------------------------------
- # BUG: Corretti alcuni bug nelle funzioni di caricamento dei file xml di
- #      progetto.
- # NEW: Aggiunta la possibilità di salvare e caricare file progetto in formato
- #      .ini.
- # NEW: Aggiunta memoria sul tipo di estensione usata dal file di progetto.

* Wed Oct 26 2005 Luigi Carlotto <md9327@mclink.it> 0.0-4
- # ---------------------------------------------------------------------------
- # UPD: Tolte le icone nelle form di edit.

* Tue Oct 25 2005 Luigi Carlotto <md9327@mclink.it> 0.0-3
- # ---------------------------------------------------------------------------
- # NEW: Aggiunto oggetto Text.

* Oct 01 2005 Luigi Carlotto <md9327@mclink.it> 0.0-2
- # ---------------------------------------------------------------------------
- # NEW: Studio e progettazione.

* Oct 01 2005 Luigi Carlotto <md9327@mclink.it> 0.0-1
- # ---------------------------------------------------------------------------
- # NEW: Creazione.
